###
# ~~~~~~licensing~~~~~~
# entaxy-karaf
# ==========
# Copyright (C) 2020 - 2023 EmDev LLC
# ==========
# You may not use this file except in accordance with the License Terms of the Copyright
# Holder located at: https://entaxy.ru/eula . All copyrights, all intellectual property
# rights to the Software and any copies are the property of the Copyright Holder. Unless
# it is explicitly allowed the Copyright Holder, the User is prohibited from using the
# Software for commercial purposes to provide services to third parties.
# 
# The Copyright Holder hereby declares that the Software is provided on an "AS IS".
# Under no circumstances does the Copyright Holder guarantee or promise that the
# Software provided by him will be suitable or not suitable for the specific purposes
# of the User, that the Software will meet all commercial and personal subjective
# expectations of the User, that the Software will work properly, without technical
# errors, quickly and uninterruptedly.
# 
# Under no circumstances shall the Copyright Holder or its Affiliates is not liable
# to the User for any direct or indirect losses of the User, his expenses or actual
# damage, including, downtime; loss of bussines; lost profit; lost earnings; loss
# or damage to data, property, etc.
# ~~~~~~/licensing~~~~~~
###
# Common information
entaxy.version=${project.version}
entaxy.karaf.version=${karaf.version}

# 
# Local Karaf configuration to change when using multi-node cluster on one VM
#

#
# Port number for RMI registry connection
# @see org.apache.karaf.management.cfg 
#
entaxy.rmiRegistryPort = 1099

#
# Port number for RMI connector server connection
# @see org.apache.karaf.management.cfg 
#
entaxy.rmiServerPort = 44444

#
# JMXMP connector port number
# @see org.apache.karaf.management.cfg 
#
entaxy.jmxmpPort = 9999

#
# Via sshPort and sshHost you define the address you can login into Karaf.
# @see org.apache.karaf.shell.cfg
#
entaxy.sshPort = 8101

#
# @see org.ops4j.pax.web.cfg
#
entaxy.org.osgi.service.http.port = 8181

#
# @see ru.entaxy.esb.system.event.rest.cfg
#
entaxy.service.port.management = 9090
entaxy.service.port.subscription = 9092

#
# Quartz properties file for camel-quartz component ENTAXY version
#
org.quartz.properties=etc/quartz.properties
